//-----------------------------------------------------------------------------
//
//			->	 9 - C Direct3D   MFC
//			->	http://www.firststeps.ru
//	  07.08.2002
//  :      ->    evgeniu@atnet.ru
//-----------------------------------------------------------------------------
#include "afxwin.h"						// MFC    

#define APPNAME "http://www.firststeps.ru    9 -  Direct3D   MFC"
#include <d3d8.h>

#pragma comment (lib, "d3d8.lib")

LPDIRECT3D8             p_d3d        = NULL;		//    
LPDIRECT3DDEVICE8		p_d3d_Device = NULL;		//   d3d8

class CMainWnd : public CFrameWnd
{
public: 
	CMainWnd();							//   
};

CMainWnd::CMainWnd()
{ 
	Create(NULL, APPNAME,				//   
		WS_OVERLAPPEDWINDOW,
		rectDefault, NULL,NULL);

	p_d3d = Direct3DCreate8 (D3D_SDK_VERSION);
	
	D3DDISPLAYMODE			d3ddm;
	p_d3d->GetAdapterDisplayMode (D3DADAPTER_DEFAULT, &d3ddm);

	D3DPRESENT_PARAMETERS d3dpp; 
	ZeroMemory (&d3dpp, sizeof(d3dpp));
	d3dpp.Windowed = true;
	d3dpp.SwapEffect = D3DSWAPEFFECT_DISCARD;
	d3dpp.BackBufferFormat = d3ddm.Format;

	p_d3d->CreateDevice (D3DADAPTER_DEFAULT, D3DDEVTYPE_HAL, m_hWnd, 
		D3DCREATE_SOFTWARE_VERTEXPROCESSING, &d3dpp, &p_d3d_Device);
}

class CMyApp : public CWinApp
{
public: 
	CMyApp();							//    
	virtual BOOL InitInstance();		//  
};

CMyApp::CMyApp()						//    
{

}

BOOL CMyApp::InitInstance()				//  
{ 
	m_pMainWnd=new CMainWnd();			//    
	ASSERT(m_pMainWnd);					//    
	m_pMainWnd->ShowWindow(SW_SHOW);	//   
	m_pMainWnd->UpdateWindow();			//   
	
	return TRUE;						//    
};

CMyApp theApp;							//  
